Retrieves one route
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| id | The identifier for route being retrieved | integer (int32) | Required |
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
RouteResponse
| Property | Description | Type |
|---|---|---|
| numberOfMeters | The number of meters assigned to this route | integer (int32) |
| routeCode | The route code | string |
| routeId | The route identifier | integer (int32) |
| routeInfo | The route info | string |
Example Response
{ "numberOfMeters": 1, "routeCode": "string", "routeId": 1, "routeInfo": "string"
}